Attribute VB_Name = "Module1"
' Reads the path from the registry
Public Function ReadRegKey(szApp As String, szSection As String, szKey As String) As String

    Dim intLastEntry As Variant
   
   ' Get registry entry
    vKey = GetSetting(appname:=szApp, section:=szSection, Key:=szKey)
    If vKey = "" Then
        Call WriteRegKey(szApp, szSection, szKey, "C:\")
        vKey = "C:\"
    End If
    
    ReadRegKey = vKey

End Function


' Writes the registry entry to the registry
Public Sub WriteRegKey(szApp As String, szSection As String, szKey As String, szValue As String)

    SaveSetting appname:=szApp, section:=szSection, Key:=szKey, setting:=szValue

End Sub


Public Function DoesDirExist(szPath As String) As Boolean

    Dim szMyString As String
    
    szMyString = Dir(szPath, vbDirectory)
    
    If szMyString = "" Then
        DoesDirExist = False
        Exit Function
    Else
        DoesDirExist = True
        Exit Function
    End If
        

End Function

Public Sub WriteTagFile(szTagFileName As String)

    Set fs = CreateObject("Scripting.FileSystemObject")
    Set myTagFile = fs.CreateTextFile(szTagFileName, True)
    
    myTagFile.WriteLine (szTagFileName)
    
    myTagFile.Close

End Sub
' Function to return the number of time elapsed between start and end time
Public Function CalculateTime(tStartTime As Variant, tEndTime As Variant)


    startHour = Format(tStartTime, "hh")
    startMin = Format(tStartTime, "n")
    startSec = Format(tStartTime, "ss")
    
    tEndTime = DateAdd("h", -(startHour), tEndTime)
    tEndTime = DateAdd("n", -(startMin), tEndTime)
    tEndTime = DateAdd("s", -(startSec), tEndTime)
    
    CalculateTime = CStr(tEndTime)
    
End Function

