VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "CheckDemoCert"
   ClientHeight    =   3195
   ClientLeft      =   5685
   ClientTop       =   3450
   ClientWidth     =   7575
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   7575
   Begin VB.CommandButton cbCheckDemos 
      Caption         =   "Certify"
      Height          =   495
      Left            =   6240
      TabIndex        =   3
      Top             =   240
      Width           =   1215
   End
   Begin VB.Frame Frame1 
      Caption         =   "Path To Certify"
      Height          =   615
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   5895
      Begin VB.TextBox tbPath 
         Height          =   285
         Left            =   120
         TabIndex        =   2
         Top             =   240
         Width           =   5655
      End
   End
   Begin VB.TextBox tbFeedback 
      Height          =   2295
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   840
      Width           =   7335
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim szPath As String
Dim szAppPath As String

Private Sub cbCheckDemos_Click()

    If Not (szPath = tbPath.Text) Then
        Call WriteRegKey("European Certification Tools\CheckDemoCert", "Config", "RootPath", tbPath.Text)
        szPath = tbPath.Text
    End If
    
    tbFeedback.Text = ""
    
    Screen.MousePointer = vbHourglass
    Call GetIMGBLDVersion
    Call FindXBE(szPath)
    Screen.MousePointer = vbDefault
    
End Sub

Private Sub Form_Load()

    szPath = ReadRegKey("European Certification Tools\CheckDemoCert", "Config", "RootPath")
    tbPath.Text = szPath
    
    ' Check for a '\' at end of path, if we are at the root of a drive then the path will be of the form
    ' X:\, whereas if we are not then the path will be of the form
    ' X:\MyPath
    
    szAppPath = App.Path
    If Not (Right$(szAppPath, 1) = "\") Then szAppPath = szAppPath & "\"
    
End Sub

Private Sub Form_Resize()
  
    If (frmMain.Height > 1395) Then tbFeedback.Height = frmMain.Height - 1400
    tbFeedback.Width = frmMain.Width - 300
    
End Sub

Private Sub tbPath_KeyPress(KeyAscii As Integer)
    ' If return press,
    If KeyAscii = 13 Then
        If Not (szPath = tbPath.Text) Then
            Call WriteRegKey("European Certification Tools\CheckDemoCert", "Config", "RootPath", tbPath.Text)
        End If
    End If
    
End Sub

Public Sub FindXBE(szCurrentPath As String)

    Dim szPathArray() As String
    Dim iCtr As Integer
    
    iCtr = 0
    ' Now for each directory in the path chosen, see if it contains a GameFiles
    ' directory and if so make it available for selection in the list
    ' Ensure we have a \ character at the end of the string
    If Not (Right$(szCurrentPath, 1) = "\") Then szCurrentPath = szCurrentPath & "\"
    
    ' tbFeedback.Text = tbFeedback.Text & szCurrentPath & Chr$(13) & Chr$(10)
    
    ' Find all XBE's in current dir
    ' Returns filename with specified extension. If more than one *.xbe
    ' file exists, the first file found is returned.
    szCurrentXBE = Dir(szCurrentPath & "*.xbe")
    Do While Not (szCurrentXBE = "")
        Call ProcessXBEFile(szCurrentPath & szCurrentXBE)
        szCurrentXBE = Dir
    Loop
    
    ' Run through once to get the array size required to store the paths
    iCtr = GetDirNum(szCurrentPath)
    
    ' If there are no more directories here then exit
    If iCtr = 0 Then Exit Sub
    
    On Error GoTo ErrorHandler

    ReDim szPathArray(iCtr)
    iCtr = 0
    
    szCurrentDir = Dir(szCurrentPath, vbDirectory)   ' Retrieve the first entry.

     Do While szCurrentDir <> ""   ' Start the loop.
        ' Ignore the current directory and the encompassing directory.
        If szCurrentDir <> "." And szCurrentDir <> ".." Then
           ' Use bitwise comparison to make sure it is a directory.
           If (GetAttr(szCurrentPath & szCurrentDir) And vbDirectory) = vbDirectory Then
                szPathArray(iCtr) = szCurrentDir
                iCtr = iCtr + 1
            End If
        End If
BadFileResume:
        szCurrentDir = Dir   ' Get next entry.
    Loop

    ' Now call FindXBE for all directories
    For iCtr2 = iCtr To 1 Step -1
    DoEvents
    Call FindXBE(szCurrentPath & (szPathArray(iCtr2 - 1)))
    Next iCtr2
    
    Exit Sub
    
ErrorHandler:

    Dim szErrorMesg As String
    
    Select Case Err.Number
    Case 52
        ' Bad file, normally one with Japanese characters in it!
        Resume BadFileResume
    Case Else
        Response = MsgBox(Err.Description, vbOKOnly, "Error Number " & Err.Number)
        Exit Sub
    End Select
    
End Sub

Function GetDirNum(szPath As String) As Integer

    Dim iCtr As Integer
    
    On Error GoTo ErrorHandler
    
    szCurrentDir = Dir(szPath, vbDirectory)   ' Retrieve the first entry.
    iCtr = 0
    
    Do While szCurrentDir <> ""   ' Start the loop.
       ' Ignore the current directory and the encompassing directory.
       If szCurrentDir <> "." And szCurrentDir <> ".." Then
          ' Use bitwise comparison to make sure it is a directory.
          If (GetAttr(szPath & szCurrentDir) And vbDirectory) = vbDirectory Then iCtr = iCtr + 1
       End If
BadFileResume:
       szCurrentDir = Dir   ' Get next entry.
    Loop

    GetDirNum = iCtr
    
    Exit Function
    
ErrorHandler:

    Dim szErrorMesg As String
    
    Select Case Err.Number
    Case 52
        ' Bad file, normally one with Japanese characters in it!
        Resume BadFileResume
    Case Else
        Response = MsgBox(Err.Description, vbOKOnly, "Error Number " & Err.Number)
        Exit Function
    End Select
    
End Function

Public Sub ProcessXBEFile(szFileName As String)

    tbFeedback.Text = tbFeedback.Text & "Found .. " & szFileName & Chr$(13) & Chr$(10)
    tbFeedback.Text = tbFeedback.Text & "------------" & Chr$(13) & Chr$(10)
    
    
    Call WriteTagFile((szAppPath & "TAG.TAG"))
    
    Call WriteBatchFile(szFileName, (szAppPath & "TAG.TAG"))
        
    Result = Shell(szAppPath & "imgdump.bat", vbMinimizedNoFocus)
    
    ' Show wait form until tag file is gone
    frmWait.Show 1
    
    Call DeleteBatchFile(szAppPath & "imgdump.bat")
    
    ' Now from the results of the imagebld call copy the lines from the file into the form textbox
    Call ProcessImageBld
   

End Sub

Public Function WriteBatchFile(szFileName As String, szTagFile As String) As String

    Dim szBatchLine(3) As String
    Dim szFilePath As String
    
' The batch file contains the following commands, this ensures a file is created with the results
' from the imagebld command
' imagebld /dump szFileName > imagebld.txt
    szBatchLine(0) = "imagebld /dump " & Chr$(34) & szFileName & Chr$(34) & " > " & Chr$(34) & szAppPath & "imagebld.txt" & Chr$(34)
    szBatchLine(1) = "del " & Chr$(34) & szTagFile & Chr$(34)
  
    szFilePath = szAppPath & "imgdump.bat"

    Set fs = CreateObject("Scripting.FileSystemObject")
    Set myBatchFile = fs.CreateTextFile(szFilePath, True)
    
    myBatchFile.WriteLine (szBatchLine(0))
    myBatchFile.WriteLine (szBatchLine(1))
    
    myBatchFile.Close
    
    WriteBatchFile = szFilePath

End Function

Public Sub DeleteBatchFile(szFileName As String)

    Set fs = CreateObject("Scripting.FileSystemObject")
    
    fs.DeleteFile szFileName, True

End Sub

Public Sub ProcessImageBld()
    Const ForReading = 1, ForWriting = 2, ForAppending = 3
    Const TristateUseDefault = -2, TristateTrue = -1, TristateFalse = 0
    
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set f = fs.GetFile(szAppPath & "imagebld.txt")
    
    Set ts = f.OpenAsTextStream(ForReading, TristateUseDefault)
    
    ' We wish to read the following lines from the imagebld results
    ' Line No: 1, 36, 48, and 53, up to the first blankline
    '01)   Dump of file c:\tmp\2\WWWWWWWWWWWWWWWWWWWWWWWWwNew Folder\default.xbe
    '36)   Debug path name: C:\skate3\Build\XBox\Skate3X___Xbox_Final\Skate3X.exe
    '48)   Title Name: Tony Hawk 's Pro Skater 3
    '53)      LIBRARY VERSIONS
    '..)    XAPILIB 1.0.4039.1 [unapproved]
    '..)       LIBC 1.0.4039.1 [approved]
    '..)       D3D8 1.0.4039.2 [approved]
    '..)    XGRAPHC 1.0.4039.1 [approved]
    '..)     DSOUND 1.0.4039.3 [unapproved]
    '..)      XNETS 1.0.4039.1 [possibly approved]
    '..)   XBOXKRNL 1.0.4039.1 [approved]
    '..)      D3DX8 1.0.4039.1 [approved]
    '..)
    '..)   THREAD LOCAL STORAGE DIRECTORY

'    s = ts.ReadLine
 '   tbFeedback.Text = tbFeedback.Text & s & Chr$(13) & Chr$(10)
    
    s = ts.ReadLine
    While Not (Left$(s, 15) = "Debug path name")
        s = ts.ReadLine
    Wend
    
    tbFeedback.Text = tbFeedback.Text & s & Chr$(13) & Chr$(10)
    
    s = ts.ReadLine
    While Not (Left$(s, 13) = "   Title name")
        s = ts.ReadLine
    Wend
    tbFeedback.Text = tbFeedback.Text & s & Chr$(13) & Chr$(10)
    tbFeedback.Text = tbFeedback.Text & "------------" & Chr$(13) & Chr$(10)
    
    s = ts.ReadLine
    While Not (Left$(s, 16) = "LIBRARY VERSIONS")
        s = ts.ReadLine
    Wend
    tbFeedback.Text = tbFeedback.Text & s & Chr$(13) & Chr$(10)
    
    s = ts.ReadLine
    While Not (s = "")
        tbFeedback.Text = tbFeedback.Text & s & Chr$(13) & Chr$(10)
        s = ts.ReadLine
    Wend
    tbFeedback.Text = tbFeedback.Text & "------------" & Chr$(13) & Chr$(10) & Chr$(13) & Chr$(10)
    
    ts.Close
    
    fs.DeleteFile szAppPath & "imagebld.txt", True

End Sub

Public Sub WriteIMGBatchFile(szTagFile As String)

    Dim szBatchLine(2) As String
    Dim szFilePath As String
    
' The batch file contains the following commands, this ensures a file is created with the results
' from the imagebld command
' imagebld /dump szFileName > imagebld.txt
    szBatchLine(0) = "imagebld 2> " & Chr$(34) & szAppPath & "imagebld.txt" & Chr$(34)
    szBatchLine(1) = "del " & Chr$(34) & szTagFile & Chr$(34)
  
    szFilePath = szAppPath & "imgdump.bat"

    Set fs = CreateObject("Scripting.FileSystemObject")
    Set myBatchFile = fs.CreateTextFile(szFilePath, True)
    
    myBatchFile.WriteLine (szBatchLine(0))
    myBatchFile.WriteLine (szBatchLine(1))
    
    myBatchFile.Close

End Sub

Public Sub GetIMGBLDVersion()

    tbFeedback.Text = tbFeedback.Text & "Certifying Libraries against "
    
    
    Call WriteTagFile((szAppPath & "TAG.TAG"))
    
    Call WriteIMGBatchFile((szAppPath & "TAG.TAG"))
        
    Result = Shell(szAppPath & "imgdump.bat", vbMinimizedNoFocus)
    
    ' Show wait form until tag file is gone
    frmWait.Show 1
    
    Call DeleteBatchFile(szAppPath & "imgdump.bat")
    
    ' Now from the results of the imagebld call copy the lines from the file into the form textbox
    Call ProcessImageBldVersion
    tbFeedback.Text = tbFeedback.Text & "------------" & Chr$(13) & Chr$(10)
    
End Sub

Public Sub ProcessImageBldVersion()
    Const ForReading = 1, ForWriting = 2, ForAppending = 3
    Const TristateUseDefault = -2, TristateTrue = -1, TristateFalse = 0
    
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set f = fs.GetFile(szAppPath & "imagebld.txt")
    
    Set ts = f.OpenAsTextStream(ForReading, TristateUseDefault)
    
    ' We wish to read the version info from imagebld.exe,
    ' Microsoft (R) Xbox Image File Builder 1.00.4242.1
    ' Copyright (C) Microsoft Corporation 2000-2001. All rights reserved.
    '
    'usage: IMAGEBLD [options] [infile]

    s = ts.ReadLine
    tbFeedback.Text = tbFeedback.Text & s & Chr$(13) & Chr$(10)
        
    ts.Close
    
    fs.DeleteFile szAppPath & "imagebld.txt", True

End Sub
